Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class UnknownResource

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              jet.JException
                  jet.JSException
                      jet.server.api.exception.UnknownResource

All Implemented Interfaces:
  java.io.Serializable

    public class UnknownResource

extends jet.JSException

Unknown Resource Exception

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jet.JException
`jet.JException.LogLevel`

Constructor Summary
`UnknownResource(int msgKey)` Constructs a new `UnknownResource` with the specified message, the cause is not initialized.
`UnknownResource(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detailed message and cause.
`UnknownResource(int msgKey, java.lang.Throwable cause)` Constructs a new `UnknownResource` with the specified detailed message and cause.
`UnknownResource(java.lang.String resoruceName)` Constructs a new `UnknownResource` with the specified message as its detailed message.
`UnknownResource(java.lang.Throwable cause)` Constructs a new `UnknownResource` with the specified cause and a `null`message.``

Method Summary
`java.lang.String` | `getMessage()` Gets message of unknown resource.

Methods inherited from class jet.JSException
`getErrorKey`

Methods inherited from class jet.JException
`getMessages, getThrowables, logTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownResource

    public UnknownResource(int msgKey,
                           java.lang.Object[] params,
                           java.lang.Throwable cause)

  Constructs a new throwable with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for finding the message, and which will be logged and shown to user.
    `params` - the parameters used for formatting the message string, which can be null.
    `cause` - the cause which is saved for later retrieval by the getCause.

### UnknownResource

    public UnknownResource(int msgKey,
                           java.lang.Throwable cause)

  Constructs a new `UnknownResource` with the specified detailed message and cause.

  Parameters:
    `msgKey` - the message key.
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### UnknownResource

    public UnknownResource(int msgKey)

  Constructs a new `UnknownResource` with the specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key.

### UnknownResource

    public UnknownResource(java.lang.Throwable cause)

  Constructs a new `UnknownResource` with the specified cause and a `null`message.

  Parameters:
    `cause` - the cause.
  ``

### UnknownResource

    public UnknownResource(java.lang.String resoruceName)

  Constructs a new `UnknownResource` with the specified message as its detailed message. The cause is not initialized.

  Parameters:
    `resourceName,` - the name of the resource.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Gets message of unknown resource.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    message of unknown resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD